Imports PrixusUtiles
Imports System.Data.Sql

Public Class ClsUsuariosDesenrolar
    Implements IUsuariosDesenrolar

    Private conexion As IPrixusConexion

    Public Sub New(conexion As IPrixusConexion)
        Me.conexion = conexion
    End Sub

    Public Function Desenrolar(usuariosModeloDesenrolar As IUsuariosDesenrolarArgumentos, ByRef mensajeError As String) As Boolean Implements IUsuariosDesenrolar.Desenrolar

        Dim resultado As Boolean = False
        mensajeError = ""

        Try
            If usuariosModeloDesenrolar.IdUsuario = Nothing Then Throw New Exception("Id no puede ser vacío")

            Dim listaParametros As New List(Of SqlClient.SqlParameter) From {
                New SqlClient.SqlParameter("@idUsuario", usuariosModeloDesenrolar.IdUsuario)}

            resultado = conexion.EjecutarProcedimiento("sp_UsuariosEnrolarEliminar", listaParametros)

        Catch ex As Exception
            mensajeError += vbNewLine + ex.Message
        Finally
            conexion.CerrarBD()
        End Try

        Return resultado

    End Function
End Class
